javax.xml.xpath

## Interface XPathVariableResolver

-     public interface XPathVariableResolver

  `XPathVariableResolver` provides access to the set of user defined XPath variables.

  The `XPathVariableResolver` and the XPath evaluator must adhere to a contract that cannot be directly enforced by the API. Although variables may be mutable, that is, an application may wish to evaluate the same XPath expression more than once with different variable values, in the course of evaluating any single XPath expression, a variable's value must be immutable.

  Since:
    1.5
  Version:
    $Revision: 446598 $, $Date: 2006-09-15 08:55:40 -0400 (Fri, 15 Sep 2006) $
  Author:
    Norman Walsh, Jeff Suttor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `resolveVariable(QName variableName)` Find a variable in the set of available variables.

- - ### Method Detail

    - #### resolveVariable

          java.lang.Object resolveVariable(QName variableName)

      Find a variable in the set of available variables.

      If `variableName` is `null`, then a `NullPointerException` is thrown.

      Parameters:
        `variableName` - The `QName` of the variable name.
      Returns:
        The variables value, or `null` if no variable named `variableName` exists. The value returned must be of a type appropriate for the underlying object model.
      Throws:
        `java.lang.NullPointerException` - If `variableName` is `null`.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.